/** 
 * Theme Name: EGM Shop
 * Template: harrogateweb
 * Author: Alex Hannam - Harrogate Web Solutions
 * Author URI: https://harrogatewebsolutions.co.uk
 */
 .screen-reader-only {
    display: none;
}
.widget-title, h2, h3 {
    font-size: 26px;
}
.button {
    border-radius: 20px!important;
    min-height: 40px!important;
    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 16px;
    background-color: var(--primary-colour)!important;
    color: var(--accent-colour)!important;
}
article.content-wrapper > .panel-layout > .panel-no-style,article.content-wrapper > .panel-layout > .panel-has-style > .panel-row-style {
    padding-block: 80px;
}

.header-cta-wrapper {
    gap: 10px;
}

.icon-button {
    background-color: var(--accent-colour);
    color:#fff;
    width:40px;
    height:40px;
    border-radius:20px;
    display:flex;
    align-items:center;
    justify-content:center;
    transition: 0.3s;
}
.icon-button:hover,.icon-button:focus{
    filter: brightness(0.9);
    cursor: pointer;
}
.menu-grid-wrapper {
    position: sticky;
    transition: 0.3s;
    top: -400px;
    z-index:2;
}
.scrolling-down .menu-grid-wrapper{
    top: 0;
    background-color: #fff;
    z-index: 3;
    box-shadow: 0px 1px 4px -1px;
}
header.menu-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 50px;
    grid-column-gap: 10px;
    grid-row-gap: 5px;
    max-width: var(--content-max-width);
    margin-inline: auto;
    padding-block: 10px;
    padding-inline: 15px;
}
.header-cta-wrapper {
    grid-column: 2/3;
    grid-row: 1;
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.search-wrapper {
    grid-column: 1/-1;
    display: flex;
    width: 100%;
    justify-content: center;
    flex-direction: column;
}
header.menu-grid .menu-wrapper{
    grid-column:1/-1;
}
header.menu-grid .button,.button.highlight{
    background-color: var(--accent-colour)!important;
    color: var(--primary-colour)!important;
}
ul.nav.navbar-nav{
    display:flex;
    flex-direction: column;
    column-gap: 30px;
    row-gap: 10px;
    justify-content: center;
}
.menu-wrapper ul.nav.navbar-nav a {
    font-weight:600;
    text-transform: uppercase;
}
.menu-wrapper ul.nav.navbar-nav ul a {
    text-transform: none;
}

.menu-wrapper ul.nav.navbar-nav > li.menu-item-has-children > a::after {
    content: '\f107';
    margin-left: auto;
    font-family: 'Font Awesome 6 Free';
    font-weight: 900;
    -webkit-font-smoothing: antialiased;
}

@media(max-width:1099px){
    header.menu-grid .menu-wrapper {
        position: fixed;
        width: 90vw;
        width: calc(100vw - 165px);
        height: 100vh;
        top: 0;
        left: -200%;
        bottom: 0;
        background-color: var(--grey-colour);
        z-index: 6;
        display: flex;
        transition: 0.4s;
    }
    header.menu-grid .menu-wrapper.open {
        left: 0;
    }
    header.menu-grid .menu-wrapper ul {
        padding-inline: 30px;
    }
    header.menu-grid .menu-wrapper ul.sub-menu {
        display: none;
    }
    
    /*.menu-wrapper ul.nav.navbar-nav > li.menu-item-has-children > a::after {
        content: '\f107';
        margin-left: auto;
        font-family: 'Font Awesome 6 Free';
        font-weight: 900;
        -webkit-font-smoothing: antialiased;
    }*/
    
    .menu-wrapper ul.nav.navbar-nav > li > a {
        display: flex;
    }
    
    header.menu-grid .menu-wrapper ul {
        width: 100%;
    }
}
@media(min-width:1100px){
    ul.nav.navbar-nav{
        flex-direction: row;
    }
    header.menu-grid .hamburger-trigger{
        display: none!important;
    }
    ul.sub-menu {
        background-color: var(--grey-colour);
        background-color: #fff!important;
        padding: 15px 10px;
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
        box-shadow: 0px 3px 3px -2px #333;
    }
    ul.sub-menu a{
        display: block;
        padding-block: 5px;
    }
}
header fieldset {
    display: grid;
    grid-template-columns: 90px 1fr 30px;
    grid-template-columns: 1fr 30px;
    border: none;
    padding: 5px;
    margin: 0;
    gap: 10px;
    border-radius: 20px;
    background-color: var(--grey-colour);
}



header.menu-grid fieldset select, header.menu-grid fieldset input {
    border:none;
    background-color:transparent;
}

fieldset .icon-button {
    width: 30px;
    height: 30px;
    border-radius: 15px;
    border: none;
    background-color: var(--accent-colour);
    color:#fff;
}
#live-search-results {
    position: absolute;
    top: 50px;
    background-color: #fff;
    z-index: 6;
    left: 0;
    right: 0;
    padding: 10px;
    border-radius: 20px;
    box-shadow: 0 2px 4px -1px #333;
}

#live-search-results.hidden {
    display: none;
}
.search-wrapper {
    position: relative;
    z-index: 6;
}

#live-search-results .product-search .search-listings {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
    gap: 10px;
    grid-template-rows: 1fr;
    grid-auto-rows: 0;
    overflow: hidden;
}

.product-search .product-card .product-title, .product-search .product-card .price-wrapper,.product-search .product-card .button {
    font-size: 14px;
}

.product-search .product-card .product-meta-wrapper .icon-meta {
    display: none;
}

.product-search .product-card img {
    height: 120px;
}

.product-search .product-card .pill-wrapper {
    margin-top: 0px;
}

header.cta-banner {
    background-color: var(--accent-colour);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-weight: 600;
}

header.cta-banner p {
    padding-inline: 15px;
}
#smoke-carousel {
    z-index: 0;
}

div.card-wrapper {
    grid-template-columns: repeat(auto-fill, minmax(380px, 1fr));
}

.card-wrapper a.card {
    /* text-align: center; */
    overflow: hidden;
    transition: 0.3s;
    /* border-radius: 20px; */
    /* box-shadow: 0px 1px 4px -1px; */
}

.card-wrapper a.card .card-content {
    padding-block: 0;
    /* margin-top:10px; */
    /* border-top:1px solid var(--accent-colour); */
}

.card-wrapper a.card .card-content h2 {
    margin-bottom: 10px;
    font-size: 18px;
    margin-top: auto;
    width:100%;
}

.card-wrapper a.card:hover,.card-wrapper a.card:focus {
    filter:brightness(0.9);
    background-color:#fff;
    border-radius: 30px;
}

.bestseller-wrapper {
    display:flex;
    flex-direction:column;
    grid-template-columns: 1fr;
    gap: 10px;
    margin-block: 30px;
}

.bestseller-products-wrapper > .woocommerce > .products{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px,1fr));
    gap: 20px;
}

.bestseller-wrapper > a {grid-column: 2/3;margin-inline: auto;}

.bestseller-wrapper h2 {
    margin-bottom: 0;
}

@media(min-width:1260px){
    /*.bestseller-wrapper{
        display: grid;
        grid-template-columns:1fr 3fr;
        align-items: end;
    }*/
}
/*@media (min-width:1260px) or ((max-width:1249px) and (min-width:939px)){
    .bestseller-products-wrapper > .woocommerce > .products > .product:nth-of-type(4){
        display:none;
    }
}*/
@media (max-width:1249px) and (min-width:939px){
    .bestseller-products-wrapper > .woocommerce > .products > .product:nth-of-type(4){
        display:none;
    }
}

article.posts-wrapper, .content-wrapper .blog-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(310px, 1fr));
    grid-gap: 30px;
    padding-inline: 15px;
    max-width: 90vw!important;
    max-width: calc(100vw - 30px)!important;
}
.content-wrapper .blog-wrapper h3{
    grid-column: 1/-1;
}

a.post-snippet img {
    height: 300px;
    width: 100%;
    object-fit: cover;
    padding: 0;
}

a.post-snippet h3 {
    font-size: 18px;
}

a.post-snippet {
    background-color: var(--grey-colour);
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

a.post-snippet > * {
    padding-inline: 10px;
}

a.post-snippet .button {
    margin-inline: auto;
    margin-top: auto;
    margin-bottom: 15px;
}

.product-card {
    background-color: var(--grey-colour);
    padding-inline: 10px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    /*width: 100%;*/
    padding-top:10px;
}

.product-card .product-title {
    font-size: 18px;
    margin-top: 10px;
}

.product-card .price-wrapper {
    font-weight: 600;
}

.product-card .product-meta-wrapper {margin-block: 10px;}
.product-meta-wrapper.icon-meta-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
}

.product-meta-wrapper.icon-meta-wrapper .icon-meta {
    padding: 0;
    list-style-type: none;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4px;
}

.product-meta-wrapper.icon-meta-wrapper .icon-meta li {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 14px;
    color: #333;
}

.product-meta-wrapper.icon-meta-wrapper .icon-meta li i {
    font-size: 13px;
}
i.icon-border {
    border: 1px solid;
    border-radius: 50%;
}

.product-card a.button.add_to_cart_button {margin-inline: auto;width: auto;padding-inline: 10px;margin-bottom: 10px;margin-top: auto;}

.product-card img {
    width: 100%;
    height: 250px;
    object-fit: contain;
    background-color: #fff;
    border-top-right-radius:10px;
    border-top-left-radius:10px;
}

.product-card .product-image-wrapper {
    position: relative;
}

.product-card .pill-wrapper {
    list-style: none;
    padding: 0;
    position: absolute;
    right: 3px;
    display: flex;
    gap: 5px;
    top: 3px;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.product-card .pill-wrapper li {
    font-size: 11px;
    background-color: var(--accent-colour);
    padding: 2px 8px;
    border-radius: 9px;
    font-weight: 600;
}
.product-card a.added_to_cart.wc-forward {
    text-align: center;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-weight: 600;
    color: var(--accent-colour);
}
.bestseller-products-wrapper .product-card{
    background-color:#fff;
    /*box-shadow: 0px 0px 4px -1px #333;*/
}
.featured-products .woocommerce > ul{
    grid-template-columns: 1fr;
}

.related.products ul.products {
    grid-template-columns: 1fr;
}
@media(min-width:650px) {
    .featured-products .woocommerce > ul,.related.products ul.products {
        grid-template-columns: 1fr 1fr;
    }
}
@media(min-width:1000px){
    .featured-products .woocommerce > ul,.related.products ul.products {
        grid-template-columns: repeat(4, 1fr);
    }
}

.free-uk-banner {
    background: var(--accent-colour);
    padding: 4px 8px;
    border-radius: 15px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}
.summary.entry-summary {
    background-color: var(--grey-colour);
        border-radius: 20px;
        box-shadow: 0 0 7px -2px #333;
    padding:15px;
        padding-bottom: 30px;
}
.woocommerce .summary .quantity input{
    background-color:#fff;
}
.summary .price{
    font-weight:600;
}
/*.product-description {
    display: none;
}*/

.category-pills a {
    color: var(--text-colour);
    font-size: 14px;
}
span.onsale {
    display: none;
}

#load-more{
    margin-bottom:var(--spacing-widget-vertical);
}

footer ul.social-icons a {
    background-color: transparent;
    padding: 0;
}

footer ul.social-icons li {
    margin: 0;
}

footer ul.social-icons {
    column-gap: 15px;
}

footer {
    border-top: 20px solid var(--primary-colour);
	padding-inline: 15px;
	padding-block:15px;
}
footer .footer-wrapper{
    display: grid;
    grid-template-columns: 1fr 1fr;
	padding-inline: 0!important;
}

footer .full-width-column {
    grid-column: 1 / 3;
}
footer h1, footer h2, footer h3, footer h4, footer h5, footer h6{
	color:#000!important;
	font-size: 18px;
	margin-top: 0;
	margin-bottom: 10px!important;
}
footer .wp-block-image img{
    max-height: 80px;
}
footer hr{
	display: none;
	border-top-color: #e7e7e9!important;
}
footer figure {
    margin: 0;
}
footer ul {padding: 0;list-style-type: none;}

footer ul li {
    margin-bottom: 10px;
}
.footer-phone {
    font-size: 20px;
    color: var(--primary-colour);
    font-weight: bold;
}

.footer-column-6 p {
    font-size: 12px;
}
.footer-column-8{
    text-align:center;
}
.footer-column{
	padding:0!important;
	margin:0!important;
}
.footer-column:not(.footer-column-full){
    width:100%!important;
}


@media(min-width:1100px){
    header.menu-grid{
        grid-template-columns:270px 1fr 140px;
    }
    .search-wrapper {
        grid-column: 2/3;
    }
    #live-search-results{
        top:100px;
    }
    .header-cta-wrapper {
        grid-column: 3/4;
    }
}
@media(min-width:850px) {
	footer{
		padding-block:30px;
	}
	footer .footer-wrapper{
        grid-template-columns:repeat(5, 1fr);
        max-width: var(--content-max-width);
    }
    footer .full-width-column{
        grid-column:unset;
    }
    .footer-column-1{
        order:1;
    }
    .footer-column-2{
        order:2;
    }
    .footer-column-3{
        order:3;
    }
    .footer-column-4{
        order:4;
    }
    .footer-column-6{
        order:6;
    }
    .footer-column-7.full-width-column{
        order:7;
        grid-column:1/3;
    }
    .footer-column-8.full-width-column{
        order:8;
        grid-column:3/4;
    }
    .footer-column-9.full-width-column{
        order:9;
        grid-column:4/6;
        text-align:right;
    }
    footer hr{
        display: block;
        width:100%;
        order:6;
        grid-column:1/6;
    }
}

@media(max-width:767px){
    .card-wrapper {
        grid-template-columns:1fr!important;
    }
    .fifty-fifty .text-wrapper,.fifty-fifty .text-wrapper h2{
        margin-top:0!important;
    }
    .fifty-fifty .text-wrapper h2{
        margin-bottom: 0;
    }
    .fifty-fifty > img{
        margin-bottom: 50px;
    }
    article.content-wrapper.full-width > .panel-layout > .panel-grid{
        margin-block:0!important;
    }
}
@media(max-width:544px){
    .product-card {
        /*width: 100%;*/
    }
}

/* WooCommerce */
body.woocommerce div.product form.cart .quantity {
    margin-right: 10px!important;
    display: flex;
    border-radius: 20px;
    overflow: hidden;
}
.woocommerce div.product form.cart .quantity button {
    color: #fff;
    border: none;
    border-radius: 0;
    background-color: var(--primary-colour);
    width: 40px;
    font-size: 20px;
    cursor: pointer;
}
.summary.entry-summary {
    display: flex;
    flex-direction: column;
}

.summary.entry-summary > .product-description {order: 4;}

.summary.entry-summary > form {/*order: 0;*/margin-bottom: 30px;}

body.woocommerce .quantity input {
    min-height: 24px;
}
p.stock.out-of-stock {
    font-weight: 700;
    color: red;
}
.woocommerce-tabs {
    flex-basis: 100%;
}
ul.tabs.wc-tabs {
    display: none;
}
ul.products li.product{
    flex-direction: row!important;
    height: 100%;
}
ul.products li.product img{
    width:100%;
}
/*.related.products ul.products {
    grid-template-columns: 1fr;
}*/

.woocommerce-checkout article.content-wrapper.standard-width > * {
    padding-inline: 15px;
}

.woocommerce-checkout ul.products.columns-3 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
}
.woocommerce-checkout article.content-wrapper.standard-width .overlay-wrapper {
    padding-inline: 0;
    margin-inline: 15px;
}

button.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.wc-block-components-checkout-place-order-button--full-width.contained {
    /*display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    min-height: 50px;
    padding-left: var(--spacing-horizontal);
    padding-right: var(--spacing-horizontal);
    transition: 0.3s;
    margin: 0;
    background-color: var(--primary-colour);
    color: var(--button-text-colour);
    border: none;
    border-radius:4px;
    text-transform:uppercase;
    font-family: Montserrat, sans-serif;
    font-size: 16px;
    font-weight: 500;*/
}
.woocommerce-account .woocommerce {
    display: grid;
    grid-template-columns:1fr;
    max-width: var(--content-max-width);
    margin-inline: auto;
    gap: 30px;
    padding-inline:15px;
}
.woocommerce-account .woocommerce-MyAccount-navigation,.woocommerce-account .woocommerce-MyAccount-content{
    width:100%;
}
.woocommerce-account .woocommerce-notices-wrapper {
    grid-column: 1/-1;
}
#customer_login {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(520px, 1fr));
    gap: 20px;
}
@media(min-width:860px){
    .woocommerce-account.logged-in .woocommerce{
        grid-template-columns:1fr 3fr;
    }
}
.woocommerce-Input {
    display: block;
    width: 100%;
    min-height: 32px;
    border: 1px solid var(--grey-colour);
    border:none;
    background-color: var(--grey-colour);
    /*color:#fff;*/
}

.woocommerce-account .woocommerce-MyAccount-navigation ul {
    padding: 0;
	border-top: 1px solid #eee;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li {
	list-style: none;
	border-bottom: 1px solid #eee;
	padding-bottom: 0;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a:before {
	opacity: 1;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
	padding: 10px 5px;
	display: block;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:before {
	margin-right: 20px;
    opacity: .25;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:hover:before {
	opacity: 1;
}

.woocommerce-account .woocommerce-MyAccount-content h2 {
	font-size: 25px;
    text-align: center;
	font-weight: 600;
}

.woocommerce-account p.order-again {
    text-align: right;
}

.woocommerce-account .woocommerce-EditAccountForm input[type="submit"] {
    margin-top: 50px;
    float: right;
}
.woocommerce main, .shop-padding .padding-target {
    padding-inline: 15px;
}
.standard-width.shop-padding{
    margin-bottom:30px;
}
span.woocommerce-input-wrapper {
    display: block;
    width: 100%;
    overflow:hidden;
}

span.woocommerce-input-wrapper input,span.woocommerce-input-wrapper textarea {
    width: 100%;
    min-height: 28px;
    background-color: #f2f2f2;
    background-color: var(--grey-colour);
    color: #fff;
    border: none;
    margin-top: 5px;
    padding-inline: 5px;
}
.woocommerce-notices-wrapper {
    background-color: var(--contrast-colour)!important;
    color: var(--grey-colour);
}
ul.woocommerce-error {
    list-style-type: none;
    padding: 0;
    display: block;
}

ul.woocommerce-error li {
    margin: 5px 10px;
    display: inline-block;
}
table.shop_table {
    background-color: var(--primary-colour);
    padding-inline: 5px;
    padding-block:10px;
}
table.woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table {
    background-color: var(--grey-colour);
}

table.shop_table input, table.shop_table select {
    background: var(--grey-colour)!important;
    color: #fff!important;
    border: none!important;
    min-height: 30px;
}

.coupon {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.shop_table .button[name="update_cart"] {
    background-color: var(--grey-colour);
    display: flex;
    margin-left: auto;
}

.shop_table tr.woocommerce-cart-form__cart-item.cart_item td {
    border-bottom: 1px solid #fff;
    padding-bottom: 5px;
    padding-top:10px;
    display: table-cell!important;
}
.woocommerce .cart-collaterals table {
    margin-left: auto;
    width: auto;
    display: inline-block;
}

.woocommerce .cart_totals {
    text-align: right;
    /* padding: 1.8rem 2rem 2rem; */
    margin-bottom: 2rem;
    background: var(--color-content-bg-alt-grad)
}

.woocommerce .cart_totals h2 {
    display: none
}

.woocommerce .cart_totals p {
    margin: 0;
    line-height: 1.4
}

.woocommerce .cart_totals small {
    font-size: .9rem;
    opacity: .5
}

.woocommerce .cart_totals table {
    margin: 0
}

.woocommerce .cart_totals td,.woocommerce .cart_totals th {
    font-weight: 400;
    border: none
}

.woocommerce .cart_totals th {
    padding-left: 0
}

.woocommerce .cart_totals td {
    padding-left: 0;
    padding-right: 0;
    width: 14rem
}

.woocommerce .cart_totals .order-total th,.woocommerce .cart_totals .order-total td {
    font-size: 1.2rem;
    font-weight: 700
}

a.checkout-button {
    background-color: var(--accent-colour);
    margin-top:10px;
}
form.checkout.woocommerce-checkout {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 30px;
}
.woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout {
    grid-column: 1/-1;
}

h3#order_review_heading {
    display: none;
}

div#order_review::before {
    content: 'Your Order';
    font-size: 1.17em;
    margin-block: 1.17em;
    display: block;
}

div#order_review {
    align-self: start;
    position: sticky;
    top: 0;
}
.woocommerce .form-row .button {
    display: flex;
}
@media(min-width:768px){
    form.checkout.woocommerce-checkout{
        grid-template-columns: minmax(350px, 1fr) 350px;
    }
}

ul.wc_payment_methods img {
    max-width: 50px;
}

ul.wc_payment_methods label {display: flex;align-items: center;gap: 15px;}
table.shop_table.woocommerce-checkout-review-order-table {
    text-align: left;
}
.woocommerce.wp-block-group.alignwide {padding-inline: 15px;}

.single-filter-wrapper {
    padding-block: 10px;
    border-bottom: 1px solid #d9d9d9;
    display: flex;
    flex-direction: column;
}

.single-filter-wrapper:last-of-type {
    border: none;
}

.single-filter-wrapper p {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor:pointer;
}

.single-filter-wrapper input[type=checkbox] {
    border-radius: 50%;
    width: 15px;
    height: 15px;
}

#sort-products {
    min-height: 35px;
    border-color: #e3e5e5;
    border-radius: 3px;
    font-size: 14px;
}
input#filter-price {border: none;}

#price-slider-range {
    margin-bottom: 10px;
    border: none!important;
    padding-inline: 10px!important;
}

span.ui-slider-handle {
    border-radius: 50%;
    border: none!important;
    background-color: var(--primary-colour)!important;
}


.single-filter-wrapper label {
    opacity: 0;
    height: 0;
    transition: height 0.3s;
}

.single-filter-wrapper.open label {
    opacity: 1;
    height: auto;
}

.single-filter-wrapper.open p span {
    transform: scaleY(-1);
}
#filter-area {
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    gap: 5px;
    list-style: none;
}

#filter-area li {
    background: #f1f1f1;
    padding: 8px;
}

#filter-area li span {
    margin-left: 10px;
    cursor: pointer;
}
/*p.woocommerce-result-count {
    display: none;
}*/

#filter-products-toggle {
    background-color: var(--primary-colour);
    border: none;
    color: #fff;
    padding: 10px 15px;
}
#filters.filtering {
    position: relative;
    pointer-events: none;
}

#filters.filtering::after {
    content: '';
    background-color: #fff6;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 2;
}
form.woocommerce-ordering {
    display: none;
}
ul.page-numbers {display: flex;list-style: none;padding: 0;justify-content: center;}

ul.page-numbers li > * {
    padding: 5px;
    background-color: var(--grey-colour);
    min-width: 20px;
    display: block;
    text-align: center;
}

ul.page-numbers li .current {
    background-color: var(--accent-colour);
    color: #fff;
}
ol.flex-control-nav.flex-control-thumbs img {
    height: 100px;
    object-fit: contain;
}

.flex-viewport {
    height: 400px!important;
}

.flex-viewport div,.flex-viewport img {
    height: inherit;
}

.flex-viewport a {
    display: block;
    height: inherit;
}

.flex-viewport img {
    object-fit: contain;
    width: 100%;
}

a.icon-button.has-dot::after {
    content: '';
    width: 8px;
    height: 8px;
    border-radius: 4px;
    position: absolute;
    top: -3px;
    right: -3px;
    z-index: 2;
    background-color: tomato;
}

a.icon-button.has-dot {
    position: relative;
}

.wc-block-checkout__form fieldset {
    grid-template-columns: 1fr;
}

table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {background-color: var(--grey-colour);text-align: left;border-spacing: 0;width:100%;}

table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details td {
    padding-block: 12px;
    border-bottom: 1px solid;
    padding-inline: 10px;
}

@media(min-width:992px){
    #filter-products-toggle{
        display:none;
    }
    /*.woocommerce-product-gallery {
        position: sticky!important;
        top: 190px;
        height: auto;
        bottom: 0;
    }*/
    .flex-viewport {
        height: 530px!important;
    }
}

@media screen and (max-width: 600px) {
    .header_hor .l-subheader-cell.at_left .w-cart:first-child {
        margin-left:-.8rem
    }

    .rtl.header_hor .l-subheader-cell.at_left .w-cart:first-child {
        margin-left: 0;
        margin-right: -.8rem
    }

    .header_hor .l-subheader-cell.at_right .w-cart:last-child {
        margin-right: -.8rem
    }

    .rtl.header_hor .l-subheader-cell.at_right .w-cart:last-child {
        margin-left: -.8rem;
        margin-right: 0
    }

    .woocommerce-tabs .tabs {
        margin-bottom: 1rem
    }

    .woocommerce .comment-respond {
        padding: 1rem 1.5rem
    }

    .woocommerce .related>h2,.woocommerce .upsells>h2,.woocommerce .cross-sells>h2 {
        margin-bottom: 0
    }

    .woocommerce .shop_table thead {
        display: none
    }

    .woocommerce .actions .coupon,.woocommerce .actions .coupon .input-text {
        float: none!important;
        width: 100%;
        text-align: center;
        margin: 0
    }

    .woocommerce .form-row .button,.woocommerce .shop_table .button {
        display: flex;
        width: 100%;
        margin: 4px 0!important
    }

    /*.woocommerce .checkout #order_review {
        padding: 1rem 1.5rem 1.5rem
    }*/
}
@media screen and (max-width: 480px) {
    .w-cart {
        position:static
    }

    .w-cart-dropdown,.w-cart-notification {
        left: -1rem!important;
        right: -1rem!important;
        width: auto;
        border-radius: 0
    }

    .w-post-elm.attributes.display_table {
        display: block
    }

    .w-post-elm.attributes.display_table>div>* {
        display: block;
        padding: 0;
        border: none;
        max-width: none!important
    }

    .woocommerce-message,.woocommerce-error,.woocommerce-info {
        margin:0
    }

    .woocommerce-message .button,.woocommerce-error .button,.woocommerce-info .button {
        display: block;
        float: none!important;
        margin: 0 0 0.6rem!important
    }

    .woocommerce .login .clear+.form-row,.woocommerce-account .login .form-row:nth-child(3),.woocommerce .login .lost_password {
        float: none!important
    }

    .w-post-elm.product_ordering,.woocommerce .l-section.for_shop .woocommerce-ordering {
        flex-grow: 1;
        margin: 0;
        width: 100%
    }

    .wpb_column.wooproduct,.woocommerce .products .product {
        width: 100%!important
    }

    .woocommerce div.product>.onsale {
        left: -.9rem
    }

    .rtl.woocommerce div.product>.onsale {
        left: auto;
        right: -.9rem
    }

    .woocommerce-product-gallery {
        margin: -1.5rem -1.5rem 1.5rem!important
    }

    .woocommerce .cart .group_table td.label,.woocommerce .cart .group_table td.price {
        font-size: 1rem
    }

    .woocommerce-tabs .tabs {
        display: block;
        text-align: center
    }

    .woocommerce .shop_table.cart {
        display: block;
        border: none
    }

    .woocommerce .shop_table.cart tbody,.woocommerce .shop_table.cart tfoot,.woocommerce .shop_table.cart tr,.woocommerce .shop_table.cart td,.woocommerce .shop_table.cart tfoot th {
        display: block;
        position: relative;
        border: none;
        width: auto!important
    }

    .woocommerce .shop_table.cart tr {
        clear: both
    }

    .woocommerce .shop_table.cart td.product-remove {
        position: absolute;
        top: 0;
        right: 0;
        text-align: right;
        padding: 0;
        z-index: 3
    }

    .rtl .woocommerce .shop_table.cart td.product-remove {
        left: 0;
        right: auto;
        text-align: left
    }

    .woocommerce .shop_table.cart td.product-name {
        padding: 0 2rem .3rem 0
    }

    .rtl .woocommerce .shop_table.cart td.product-name {
        padding: 0 0 .3rem 2rem
    }

    .woocommerce .shop_table.cart td.product-price {
        float: left;
        text-align: left;
        line-height: 2.8rem;
        padding: 0 .6rem 1.2rem 0
    }

    .rtl .woocommerce .shop_table.cart td.product-price {
        float: right;
        text-align: right;
        padding: 0 0 1.2rem .6rem
    }

    .woocommerce .shop_table.cart td.product-quantity {
        float: left;
        text-align: left;
        padding-top: 0
    }

    .rtl .woocommerce .shop_table.cart td.product-quantity {
        float: right;
        text-align: right
    }

    .woocommerce .shop_table.cart td.product-subtotal {
        float: left;
        text-align: left;
        line-height: 2.8rem;
        padding-top: 0
    }

    .rtl .woocommerce .shop_table.cart td.product-subtotal {
        float: right;
        text-align: right
    }

    .woocommerce .cart_totals {
        text-align: initial;
        padding: 1rem 1.5rem 1.5rem;
        margin: 0 -1.5rem
    }

    .woocommerce .cart-collaterals:last-child .cart_totals {
        margin-bottom: -1.5rem
    }

    .woocommerce .cart_totals table,.woocommerce .cart_totals tbody,.woocommerce .cart_totals tr {
        display: block
    }

    .woocommerce .cart_totals th,.woocommerce .cart_totals td {
        display: inline-block;
        width: auto!important
    }

    .woocommerce .cart_totals tr.shipping>* {
        display: block;
        text-align: inherit;
        padding: .1rem 0
    }

    .woocommerce .cart_totals .checkout-button {
        font-size: 1rem
    }

    /*.woocommerce .checkout #order_review {
        margin: 0 -1.5rem -1.5rem
    }*/

    .wc-credit-card-form {
        padding: 0
    }

    .woocommerce .related,.woocommerce .upsells,.woocommerce .cross-sells {
        padding-top: 1.5rem
    }
}
@media(max-width:991px){
    .wc-sidebar-left.sidebar-wrapper{
        display:flex;
        flex-direction:column-reverse;
    }
    .wc-sidebar-left.sidebar-wrapper #filters{
        display:none;
    }
}

button.simplefavorite-button.has-count.preset {
    width: 250px;
    margin-top: 20px;
    margin-left: auto;
    background-color: var(--primary-colour);
    color: var(--accent-colour);
    border: none;
    height: 40px;
    border-radius: 20px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 16px;
}

form.variations_form.cart {
    display: grid!important;
    grid-template-columns: 1fr 1fr;
    grid-template-columns: 1fr;
    align-items: center;
    gap: 10px;
}

form.variations_form.cart table{
    grid-area: 1/3 /1 /1;
    order: 0;
}
form.variations_form.cart table.variations tr {
    display: grid;
    align-content: start;
    text-align: left;
}

form.variations_form.cart .woocommerce-variation.single_variation {
    grid-column: -1/1;
}
form.variations_form.cart .single_variation{
    /*grid-column: 2/3;*/
}

form.variations_form.cart .single_variation_wrap {
    grid-column: 1/-1;
}